// Mixins


@mixin theme-background($bg, $color-sheme: 'light') {
  background-color: $bg;
  color: white;

  @if $color-sheme == 'light' {
    text-shadow: 1px 1px rgba(0, 0, 0, 0.5);
  } @else if $color-sheme == 'dark' {
    text-decoration: underline;
  }

}

$bg-colors: (
        xs: #f8bbc8,
        sm: salmon,
        md: midnightblue,
        lg: lawngreen
);


@each $bg in map-keys($bg-colors) {
  $color: map-get($bg-colors, $bg);
  .col-#{$bg} {
    @include theme-background($color)
  }
}

// Functions


